searchData={"items":[{"type":"module","title":"EDGAR","doc":"","ref":"EDGAR.html"},{"type":"function","title":"EDGAR.administrative_proceedings_feed/0","doc":"Fetches the administrative proceedings feed","ref":"EDGAR.html#administrative_proceedings_feed/0"},{"type":"function","title":"EDGAR.company_cik/1","doc":"Fetches a CIK for a given company ticker","ref":"EDGAR.html#company_cik/1"},{"type":"function","title":"Required - EDGAR.company_cik/1","doc":"* `ticker` - The ticker of the company","ref":"EDGAR.html#company_cik/1-required"},{"type":"function","title":"EDGAR.company_concept/3","doc":"Fetches company concepts for a given CIK and concept (taxonomy, tag)","ref":"EDGAR.html#company_concept/3"},{"type":"function","title":"Required - EDGAR.company_concept/3","doc":"* `cik` - The CIK of the entity\n* `taxonomy` - The taxonomy of the concept\n* `tag` - The tag of the concept","ref":"EDGAR.html#company_concept/3-required"},{"type":"function","title":"EDGAR.company_facts/1","doc":"Fetches company facts for a given CIK","ref":"EDGAR.html#company_facts/1"},{"type":"function","title":"Required - EDGAR.company_facts/1","doc":"* `cik` - The CIK of the entity","ref":"EDGAR.html#company_facts/1-required"},{"type":"function","title":"EDGAR.company_feed/2","doc":"Fetches the company feed for a given CIK","ref":"EDGAR.html#company_feed/2"},{"type":"function","title":"Required - EDGAR.company_feed/2","doc":"* `cik` - The CIK of the entity","ref":"EDGAR.html#company_feed/2-required"},{"type":"function","title":"Optional - EDGAR.company_feed/2","doc":"* `type` - The type of filing to filter by\n* `start` - The start index of the filings to return\n* `count` - The number of filings to return","ref":"EDGAR.html#company_feed/2-optional"},{"type":"function","title":"EDGAR.company_feed_from_string/1","doc":"Parses the company feed","ref":"EDGAR.html#company_feed_from_string/1"},{"type":"function","title":"Required - EDGAR.company_feed_from_string/1","doc":"* `xml_str` - The RSS feed xml string to parse","ref":"EDGAR.html#company_feed_from_string/1-required"},{"type":"function","title":"EDGAR.company_index_from_file/1","doc":"Parses a company index file from file","ref":"EDGAR.html#company_index_from_file/1"},{"type":"function","title":"Required - EDGAR.company_index_from_file/1","doc":"* `file_path` - The path to the company index file to parse","ref":"EDGAR.html#company_index_from_file/1-required"},{"type":"function","title":"EDGAR.company_index_from_string/1","doc":"Parses a company index file from string","ref":"EDGAR.html#company_index_from_string/1"},{"type":"function","title":"Required - EDGAR.company_index_from_string/1","doc":"* `file_content` - The content of the company index file to parse","ref":"EDGAR.html#company_index_from_string/1-required"},{"type":"function","title":"EDGAR.company_index_from_url/1","doc":"Parses a company index file from url","ref":"EDGAR.html#company_index_from_url/1"},{"type":"function","title":"Required - EDGAR.company_index_from_url/1","doc":"* `url` - The url to the company index file to parse","ref":"EDGAR.html#company_index_from_url/1-required"},{"type":"function","title":"EDGAR.company_tickers/0","doc":"Fetches a list of company tickers","ref":"EDGAR.html#company_tickers/0"},{"type":"function","title":"EDGAR.company_tickers_with_exchange/0","doc":"Fetches a list of company tickers with exchange","ref":"EDGAR.html#company_tickers_with_exchange/0"},{"type":"function","title":"EDGAR.crawler_index_from_file/1","doc":"Parses a crawler index file from file","ref":"EDGAR.html#crawler_index_from_file/1"},{"type":"function","title":"Required - EDGAR.crawler_index_from_file/1","doc":"* `file_path` - The path to the crawler index file to parse","ref":"EDGAR.html#crawler_index_from_file/1-required"},{"type":"function","title":"EDGAR.crawler_index_from_string/1","doc":"Parses a crawler index file from a string","ref":"EDGAR.html#crawler_index_from_string/1"},{"type":"function","title":"Required - EDGAR.crawler_index_from_string/1","doc":"* `file_content` - The content of the crawler index file to parse","ref":"EDGAR.html#crawler_index_from_string/1-required"},{"type":"function","title":"EDGAR.crawler_index_from_url/1","doc":"Parses a crawler index file from url","ref":"EDGAR.html#crawler_index_from_url/1"},{"type":"function","title":"Required - EDGAR.crawler_index_from_url/1","doc":"* `url` - The url to the crawler index file to parse","ref":"EDGAR.html#crawler_index_from_url/1-required"},{"type":"function","title":"EDGAR.current_feed/1","doc":"Fetches the current feed for a given CIK","ref":"EDGAR.html#current_feed/1"},{"type":"function","title":"Optional - EDGAR.current_feed/1","doc":"* `CIK` - The CIK of the entity\n* `type` - The type of filing to filter by\n* `company` - The company to filter by\n* `dateb` - The date to filter by\n* `owner` - The owner to filter by\n* `start` - The start index of the filings to return\n* `count` - The number of filings to return","ref":"EDGAR.html#current_feed/1-optional"},{"type":"function","title":"EDGAR.current_feed_from_string/1","doc":"Parses the current feed","ref":"EDGAR.html#current_feed_from_string/1"},{"type":"function","title":"Required - EDGAR.current_feed_from_string/1","doc":"* `xml_str` - The RSS feed xml to parse","ref":"EDGAR.html#current_feed_from_string/1-required"},{"type":"function","title":"EDGAR.daily_index/2","doc":"Fetches the daily index","ref":"EDGAR.html#daily_index/2"},{"type":"function","title":"Optional - EDGAR.daily_index/2","doc":"* `year` - The year of the daily index (must be 1994 or greater)\n* `quarter` - The quarter of the daily index","ref":"EDGAR.html#daily_index/2-optional"},{"type":"function","title":"EDGAR.division_of_corporation_finance_feed/0","doc":"Fetches the division of corporation finance news feed","ref":"EDGAR.html#division_of_corporation_finance_feed/0"},{"type":"function","title":"EDGAR.division_of_investment_management_feed/0","doc":"Fetches the division of investment management news feed","ref":"EDGAR.html#division_of_investment_management_feed/0"},{"type":"function","title":"EDGAR.entity_directory/1","doc":"Fetches the entity directory","ref":"EDGAR.html#entity_directory/1"},{"type":"function","title":"Required - EDGAR.entity_directory/1","doc":"* `cik` - The CIK of the entity","ref":"EDGAR.html#entity_directory/1-required"},{"type":"function","title":"EDGAR.filing_directory/2","doc":"Fetches the filing directory","ref":"EDGAR.html#filing_directory/2"},{"type":"function","title":"Required - EDGAR.filing_directory/2","doc":"* `cik` - The CIK of the entity\n* `accession_number` - The accession number of the filing","ref":"EDGAR.html#filing_directory/2-required"},{"type":"function","title":"EDGAR.filing_feed_from_string/1","doc":"Parses a filing feed from a string","ref":"EDGAR.html#filing_feed_from_string/1"},{"type":"function","title":"Required - EDGAR.filing_feed_from_string/1","doc":"* `xml_str` - The XBRL feed xml string to parse","ref":"EDGAR.html#filing_feed_from_string/1-required"},{"type":"function","title":"EDGAR.filings/2","doc":"Fetches a list of filings from the submissions file","ref":"EDGAR.html#filings/2"},{"type":"function","title":"Required - EDGAR.filings/2","doc":"* `cik` - The CIK of the entity","ref":"EDGAR.html#filings/2-required"},{"type":"function","title":"Optional - EDGAR.filings/2","doc":"* `form_type` - The form type of the filing\n* `offset` - The offset of the filings\n* `limit` - The limit of the filings","ref":"EDGAR.html#filings/2-optional"},{"type":"function","title":"EDGAR.filings_feed/0","doc":"Fetches the recent filings rss feed","ref":"EDGAR.html#filings_feed/0"},{"type":"function","title":"EDGAR.form3_from_file/1","doc":"Parses form 3 and 3/A ownership filing types from a given file path","ref":"EDGAR.html#form3_from_file/1"},{"type":"function","title":"Required - EDGAR.form3_from_file/1","doc":"* `file_path` - The path of the form 3 filing to parse","ref":"EDGAR.html#form3_from_file/1-required"},{"type":"function","title":"EDGAR.form3_from_filing/2","doc":"Parses form 3 and 3/A filing types from a given CIK and accession number","ref":"EDGAR.html#form3_from_filing/2"},{"type":"function","title":"Required - EDGAR.form3_from_filing/2","doc":"* `cik` - The CIK of the entity\n* `accession_number` - The accession number of the filing","ref":"EDGAR.html#form3_from_filing/2-required"},{"type":"function","title":"EDGAR.form3_from_string/1","doc":"Parses form 3 and 3/A ownership filing types from a given string","ref":"EDGAR.html#form3_from_string/1"},{"type":"function","title":"Required - EDGAR.form3_from_string/1","doc":"* `xml_str` - The xml string of the form 3 filing to parse","ref":"EDGAR.html#form3_from_string/1-required"},{"type":"function","title":"EDGAR.form3_from_url/1","doc":"Parses form 3 and 3/A ownership filing types from a given url","ref":"EDGAR.html#form3_from_url/1"},{"type":"function","title":"Required - EDGAR.form3_from_url/1","doc":"* `url` - The url of the form 3 filing","ref":"EDGAR.html#form3_from_url/1-required"},{"type":"function","title":"EDGAR.form4_from_file/1","doc":"Parses form 4 and 4/A ownership filing types from a given file path","ref":"EDGAR.html#form4_from_file/1"},{"type":"function","title":"Required - EDGAR.form4_from_file/1","doc":"* `file_path` - The path of the form 4 filing to parse","ref":"EDGAR.html#form4_from_file/1-required"},{"type":"function","title":"EDGAR.form4_from_filing/2","doc":"Parses form 4 and 4/A filing types from a given CIK and accession number","ref":"EDGAR.html#form4_from_filing/2"},{"type":"function","title":"Required - EDGAR.form4_from_filing/2","doc":"* `cik` - The CIK of the entity\n* `accession_number` - The accession number of the filing","ref":"EDGAR.html#form4_from_filing/2-required"},{"type":"function","title":"EDGAR.form4_from_string/1","doc":"Parses form 4 and 4/A ownership filing types from a given string","ref":"EDGAR.html#form4_from_string/1"},{"type":"function","title":"Required - EDGAR.form4_from_string/1","doc":"* `xml_str` - The xml string of the form 4 filing to parse","ref":"EDGAR.html#form4_from_string/1-required"},{"type":"function","title":"EDGAR.form4_from_url/1","doc":"Parses form 4 and 4/A ownership filing types from a given url","ref":"EDGAR.html#form4_from_url/1"},{"type":"function","title":"Required - EDGAR.form4_from_url/1","doc":"* `url` - The url of the form 3 filing","ref":"EDGAR.html#form4_from_url/1-required"},{"type":"function","title":"EDGAR.form5_from_file/1","doc":"Parses form 5 and 5/A ownership filing types from a given file path","ref":"EDGAR.html#form5_from_file/1"},{"type":"function","title":"Required - EDGAR.form5_from_file/1","doc":"* `file_path` - The path of the form 5 filing to parse","ref":"EDGAR.html#form5_from_file/1-required"},{"type":"function","title":"EDGAR.form5_from_filing/2","doc":"Parses form 5 and 5/A filing types from a given CIK and accession number","ref":"EDGAR.html#form5_from_filing/2"},{"type":"function","title":"Required - EDGAR.form5_from_filing/2","doc":"* `cik` - The CIK of the entity\n* `accession_number` - The accession number of the filing","ref":"EDGAR.html#form5_from_filing/2-required"},{"type":"function","title":"EDGAR.form5_from_string/1","doc":"Parses form 5 and 5/A ownership filing types from a given string","ref":"EDGAR.html#form5_from_string/1"},{"type":"function","title":"Required - EDGAR.form5_from_string/1","doc":"* `xml_str` - The xml string of the form 5 filing to parse","ref":"EDGAR.html#form5_from_string/1-required"},{"type":"function","title":"EDGAR.form5_from_url/1","doc":"Parses form 5 and 5/A ownership filing types from a given url","ref":"EDGAR.html#form5_from_url/1"},{"type":"function","title":"Required - EDGAR.form5_from_url/1","doc":"* `url` - The url of the form 3 filing","ref":"EDGAR.html#form5_from_url/1-required"},{"type":"function","title":"EDGAR.form13f_document_from_file/1","doc":"Parses a form 13F document from a given file path","ref":"EDGAR.html#form13f_document_from_file/1"},{"type":"function","title":"Required - EDGAR.form13f_document_from_file/1","doc":"* `file_path` - The path to the 13F document to parse","ref":"EDGAR.html#form13f_document_from_file/1-required"},{"type":"function","title":"EDGAR.form13f_document_from_string/1","doc":"Parses a form 13F filing primary document from a string","ref":"EDGAR.html#form13f_document_from_string/1"},{"type":"function","title":"Required - EDGAR.form13f_document_from_string/1","doc":"* `xml_str` - The document xml string to parse","ref":"EDGAR.html#form13f_document_from_string/1-required"},{"type":"function","title":"EDGAR.form13f_document_from_url/1","doc":"Parses a form 13F filing from a given url","ref":"EDGAR.html#form13f_document_from_url/1"},{"type":"function","title":"Required - EDGAR.form13f_document_from_url/1","doc":"* `url` - The url of the form 13F document to parse","ref":"EDGAR.html#form13f_document_from_url/1-required"},{"type":"function","title":"EDGAR.form13f_from_filing/2","doc":"Parses a form 13F filing for a given CIK and accession number","ref":"EDGAR.html#form13f_from_filing/2"},{"type":"function","title":"Required - EDGAR.form13f_from_filing/2","doc":"* `cik` - The CIK of the entity\n* `accession_number` - The accession number of the filing","ref":"EDGAR.html#form13f_from_filing/2-required"},{"type":"function","title":"EDGAR.form13f_table_from_file/1","doc":"Parses a form 13F filing table from a file","ref":"EDGAR.html#form13f_table_from_file/1"},{"type":"function","title":"Required - EDGAR.form13f_table_from_file/1","doc":"* `file_path` - The path to the 13F table file to parse","ref":"EDGAR.html#form13f_table_from_file/1-required"},{"type":"function","title":"EDGAR.form13f_table_from_string/1","doc":"Parses a form 13F filing table from a string","ref":"EDGAR.html#form13f_table_from_string/1"},{"type":"function","title":"Required - EDGAR.form13f_table_from_string/1","doc":"* `xml_str` - The table xml string to parse","ref":"EDGAR.html#form13f_table_from_string/1-required"},{"type":"function","title":"EDGAR.form13f_table_from_url/1","doc":"Parses a form 13F filing table from a given url","ref":"EDGAR.html#form13f_table_from_url/1"},{"type":"function","title":"Required - EDGAR.form13f_table_from_url/1","doc":"* `url` - The url of the 13F table file to parse","ref":"EDGAR.html#form13f_table_from_url/1-required"},{"type":"function","title":"EDGAR.form_index_from_file/1","doc":"Parses a form index file from file","ref":"EDGAR.html#form_index_from_file/1"},{"type":"function","title":"Required - EDGAR.form_index_from_file/1","doc":"* `file_path` - The path to the form index file to parse","ref":"EDGAR.html#form_index_from_file/1-required"},{"type":"function","title":"EDGAR.form_index_from_string/1","doc":"Parses a form index file from a string","ref":"EDGAR.html#form_index_from_string/1"},{"type":"function","title":"Required - EDGAR.form_index_from_string/1","doc":"* `file_content` - The content of the form index file to parse","ref":"EDGAR.html#form_index_from_string/1-required"},{"type":"function","title":"EDGAR.form_index_from_url/1","doc":"Parses a form index file from url","ref":"EDGAR.html#form_index_from_url/1"},{"type":"function","title":"Required - EDGAR.form_index_from_url/1","doc":"* `url` - The url to the form index file to parse","ref":"EDGAR.html#form_index_from_url/1-required"},{"type":"function","title":"EDGAR.frames/4","doc":"Fetches frames for a given taxonomy, concept, unit, and period","ref":"EDGAR.html#frames/4"},{"type":"function","title":"Required - EDGAR.frames/4","doc":"* `taxonomy` - The taxonomy of the concept\n* `tag` - The tag of the concept\n* `unit` - The unit of the concept\n* `period` - The period of the concept","ref":"EDGAR.html#frames/4-required"},{"type":"function","title":"EDGAR.full_index/2","doc":"Fetches the full index","ref":"EDGAR.html#full_index/2"},{"type":"function","title":"Optional - EDGAR.full_index/2","doc":"* `year` - The year of the full index (must be 1994 or greater)\n* `quarter` - The quarter of the full index","ref":"EDGAR.html#full_index/2-optional"},{"type":"function","title":"EDGAR.historical_xbrl_feed/2","doc":"Fetches the historical XBRL feed for the given year and month","ref":"EDGAR.html#historical_xbrl_feed/2"},{"type":"function","title":"Required - EDGAR.historical_xbrl_feed/2","doc":"* `year` - The year to fetch the XBRL feed for (must be 2005 or later)\n* `month` - The month to fetch the XBRL feed for","ref":"EDGAR.html#historical_xbrl_feed/2-required"},{"type":"function","title":"EDGAR.inline_xbrl_feed/0","doc":"Fetches the recent inline XBRL rss feed","ref":"EDGAR.html#inline_xbrl_feed/0"},{"type":"function","title":"EDGAR.investor_alerts_feed/0","doc":"Fetches the investor alerts feed","ref":"EDGAR.html#investor_alerts_feed/0"},{"type":"function","title":"EDGAR.litigation_feed/0","doc":"Fetches the litigation feed","ref":"EDGAR.html#litigation_feed/0"},{"type":"function","title":"EDGAR.master_index_from_file/1","doc":"Parses a master index file from file","ref":"EDGAR.html#master_index_from_file/1"},{"type":"function","title":"Required - EDGAR.master_index_from_file/1","doc":"* `file_path` - The path to the master file to parse","ref":"EDGAR.html#master_index_from_file/1-required"},{"type":"function","title":"EDGAR.master_index_from_string/1","doc":"Parses a master index file from a string","ref":"EDGAR.html#master_index_from_string/1"},{"type":"function","title":"Required - EDGAR.master_index_from_string/1","doc":"* `file_content` - The content of the master index file to parse","ref":"EDGAR.html#master_index_from_string/1-required"},{"type":"function","title":"EDGAR.master_index_from_url/1","doc":"Parses a master index file from url","ref":"EDGAR.html#master_index_from_url/1"},{"type":"function","title":"Required - EDGAR.master_index_from_url/1","doc":"* `url` - The url to the master file to parse","ref":"EDGAR.html#master_index_from_url/1-required"},{"type":"function","title":"EDGAR.mutual_fund_cik/1","doc":"Fetches a CIK for a given mutual fund ticker","ref":"EDGAR.html#mutual_fund_cik/1"},{"type":"function","title":"Required - EDGAR.mutual_fund_cik/1","doc":"* `ticker` - The ticker of the mutual fund","ref":"EDGAR.html#mutual_fund_cik/1-required"},{"type":"function","title":"EDGAR.mutual_fund_tickers/0","doc":"Fetches a list of mutual fund tickers","ref":"EDGAR.html#mutual_fund_tickers/0"},{"type":"function","title":"EDGAR.mutual_funds_feed/0","doc":"Fetch the recent mutual funds filings rss feed","ref":"EDGAR.html#mutual_funds_feed/0"},{"type":"function","title":"EDGAR.ownership_form_from_file/1","doc":"Parses form 3, 3/A, 4, 4/A, 5, and 5/A ownership filing types from a file","ref":"EDGAR.html#ownership_form_from_file/1"},{"type":"function","title":"Required - EDGAR.ownership_form_from_file/1","doc":"* `file_path` - The path to the file","ref":"EDGAR.html#ownership_form_from_file/1-required"},{"type":"function","title":"EDGAR.ownership_form_from_string/1","doc":"Parses form 3, 3/A, 4, 4/A, 5, and 5/A filing types from a string","ref":"EDGAR.html#ownership_form_from_string/1"},{"type":"function","title":"Required - EDGAR.ownership_form_from_string/1","doc":"* `form_str` - The document string to parse","ref":"EDGAR.html#ownership_form_from_string/1-required"},{"type":"function","title":"EDGAR.ownership_form_from_url/1","doc":"Parses form 3, 3/A, 4, 4/A, 5, and 5/A ownership filing types from a given url","ref":"EDGAR.html#ownership_form_from_url/1"},{"type":"function","title":"Required - EDGAR.ownership_form_from_url/1","doc":"* `url` - The url of the form 4 to parse","ref":"EDGAR.html#ownership_form_from_url/1-required"},{"type":"function","title":"EDGAR.ownership_from_filing/2","doc":"Parses form 3, 3/A, 4, 4/A, 5, and 5/A ownership filing types from a given CIK and accession number","ref":"EDGAR.html#ownership_from_filing/2"},{"type":"function","title":"Required - EDGAR.ownership_from_filing/2","doc":"* `cik` - The CIK of the entity\n* `accession_number` - The accession number of the filing","ref":"EDGAR.html#ownership_from_filing/2-required"},{"type":"function","title":"EDGAR.press_release_feed/0","doc":"Fetches the press release feed","ref":"EDGAR.html#press_release_feed/0"},{"type":"function","title":"EDGAR.rss_feed_from_string/1","doc":"Parses the press release feed from a string","ref":"EDGAR.html#rss_feed_from_string/1"},{"type":"function","title":"Required - EDGAR.rss_feed_from_string/1","doc":"* `xml_str` - The RSS feed xml string to parse","ref":"EDGAR.html#rss_feed_from_string/1-required"},{"type":"function","title":"EDGAR.speeches_and_statements_feed/0","doc":"Fetches the speeches and statements feed","ref":"EDGAR.html#speeches_and_statements_feed/0"},{"type":"function","title":"EDGAR.speeches_feed/0","doc":"Fetches the speeches feed","ref":"EDGAR.html#speeches_feed/0"},{"type":"function","title":"EDGAR.start/2","doc":"","ref":"EDGAR.html#start/2"},{"type":"function","title":"EDGAR.statements_feed/0","doc":"Fetches the statements feed","ref":"EDGAR.html#statements_feed/0"},{"type":"function","title":"EDGAR.submissions/1","doc":"Fetches submissions for a given CIK","ref":"EDGAR.html#submissions/1"},{"type":"function","title":"Required - EDGAR.submissions/1","doc":"* `cik` - The CIK of the entity","ref":"EDGAR.html#submissions/1-required"},{"type":"function","title":"EDGAR.testimony_feed/0","doc":"Fetches the testimony feed","ref":"EDGAR.html#testimony_feed/0"},{"type":"function","title":"EDGAR.trading_suspensions_feed/0","doc":"Fetches the trading suspensions feed","ref":"EDGAR.html#trading_suspensions_feed/0"},{"type":"function","title":"EDGAR.xbrl_feed/0","doc":"Fetches the recent XBRL rss feed","ref":"EDGAR.html#xbrl_feed/0"},{"type":"function","title":"EDGAR.xbrl_from_file/1","doc":"Parses a xbrl filing file from a given file path","ref":"EDGAR.html#xbrl_from_file/1"},{"type":"function","title":"Required - EDGAR.xbrl_from_file/1","doc":"* `file_path` - The path of the xbrl filing to parse","ref":"EDGAR.html#xbrl_from_file/1-required"},{"type":"function","title":"EDGAR.xbrl_from_string/1","doc":"Parses a XBRL file","ref":"EDGAR.html#xbrl_from_string/1"},{"type":"function","title":"Required - EDGAR.xbrl_from_string/1","doc":"* `xbrl_str` - The XBRL xml string to parse","ref":"EDGAR.html#xbrl_from_string/1-required"},{"type":"function","title":"EDGAR.xbrl_from_url/1","doc":"Parses a xbrl filing from a given url","ref":"EDGAR.html#xbrl_from_url/1"},{"type":"function","title":"Required - EDGAR.xbrl_from_url/1","doc":"* `url` - The url of the xbrl filing to parse","ref":"EDGAR.html#xbrl_from_url/1-required"},{"type":"function","title":"EDGAR.xbrl_index_from_file/1","doc":"Parses a xbrl index file from file","ref":"EDGAR.html#xbrl_index_from_file/1"},{"type":"function","title":"Required - EDGAR.xbrl_index_from_file/1","doc":"* `file_path` - The path to the xbrl file to parse","ref":"EDGAR.html#xbrl_index_from_file/1-required"},{"type":"function","title":"EDGAR.xbrl_index_from_string/1","doc":"Parses a xbrl index file from a string","ref":"EDGAR.html#xbrl_index_from_string/1"},{"type":"function","title":"Required - EDGAR.xbrl_index_from_string/1","doc":"* `file_content` - The content of the xbrl index file to parse","ref":"EDGAR.html#xbrl_index_from_string/1-required"},{"type":"function","title":"EDGAR.xbrl_index_from_url/1","doc":"Parses a xbrl index file from url","ref":"EDGAR.html#xbrl_index_from_url/1"},{"type":"function","title":"Required - EDGAR.xbrl_index_from_url/1","doc":"* `url` - The url to the xbrl file to parse","ref":"EDGAR.html#xbrl_index_from_url/1-required"},{"type":"type","title":"EDGAR.error_type/0","doc":"","ref":"EDGAR.html#t:error_type/0"},{"type":"type","title":"EDGAR.success_type/1","doc":"","ref":"EDGAR.html#t:success_type/1"},{"type":"module","title":"EDGAR.Native","doc":"","ref":"EDGAR.Native.html"},{"type":"function","title":"EDGAR.Native.parse_company_feed/1","doc":"","ref":"EDGAR.Native.html#parse_company_feed/1"},{"type":"function","title":"EDGAR.Native.parse_current_feed/1","doc":"","ref":"EDGAR.Native.html#parse_current_feed/1"},{"type":"function","title":"EDGAR.Native.parse_filing_feed/1","doc":"","ref":"EDGAR.Native.html#parse_filing_feed/1"},{"type":"function","title":"EDGAR.Native.parse_form13f_document/1","doc":"","ref":"EDGAR.Native.html#parse_form13f_document/1"},{"type":"function","title":"EDGAR.Native.parse_form13f_table/1","doc":"","ref":"EDGAR.Native.html#parse_form13f_table/1"},{"type":"function","title":"EDGAR.Native.parse_ownership_form/1","doc":"","ref":"EDGAR.Native.html#parse_ownership_form/1"},{"type":"function","title":"EDGAR.Native.parse_rss_feed/1","doc":"","ref":"EDGAR.Native.html#parse_rss_feed/1"},{"type":"function","title":"EDGAR.Native.parse_xbrl/1","doc":"","ref":"EDGAR.Native.html#parse_xbrl/1"}],"content_type":"text/markdown"}